// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "component/display/Camera.hpp"

#define PLAYER_SPEED 5.0f

namespace Dawn {
  class RPGPlayer final : public SceneComponent {
    private:

    public:
      std::shared_ptr<Camera> camera;

      void onInit() override;
      void onDispose() override;
  };
}